# Grille de notation (Global sur 20) - Total 40 points

Attention cette grille de notation est donnée à titre indicatif et le barème peut changer 

## Rendu final attendu :

- Le projet sur le gitlab, la forge, github ... ( merci de m'inviter sur le projet s'il est privé)
- La documentation (de préférence dans un répertoire docs à la racine de votre projet)
- un readme qui explique comment lancer le projet, n'oubliez pas d'expliquer les manipulations spécifiques et les données à créer

## Blazor Apps (*30 points*)

- Mise en place d'une page de visualisation des données (*3 points*)
- Page d'ajout d'un élement (*3 point*)
- Page d'édition d'un élement (*3 point*)
- Form Validation (*2 point*)
- Supression d'un élement (*1 point*)
- Use API (Get / Insert / Update / Delete) (*3 point*)
- Utilisation de la pagination (Pagination serveur) (*2 points*)
- Logs (*1 point*)
- Tests unitaires (*2 point*)
- Propreté du code (Vous pouvez vous servir de sonarqube) (*2 point*)
- IHM (Design global, placement des boutons, ...) (*3 point*)
- Emplacement du code (Pas de code dans les vues) (*2 point*)

## Pour aller plus loin (Bonus) 

- Dockerisation du projet ou d'une partie du projet 
- Utilisation SonarQube
- Utilisation OpenId Connect et/ou OAuth 
- Mise en place d'un serveur d'identité (Identity Server 4 par exemple) 
- Mvvm

## Documentation (10 points)

- Le Readme (*2 points*) 
- Description du fonctionnement de la solution client (illustrutration au niveau du code) (*6 points*)
- Merge request (*2 points*)